2018-05-24 06:51 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001278FSSCPmultiplayerpublic2009-01-12 03:14
Reporterchief1983 
Assigned Tophreak 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001278: Cannot start TvT mission without secondaries on all ships - even those with no secondary slots
DescriptionIn testing a TvT mission for the Star Wars conversion, I attempted to run a TvT multiplayer mission involving TIE fighters and interceptors. These have no secondary slots defined in the POF file, or any secondaries allowed in the ships.tbl. However, both FS2_Open and FRED2_Open seem to think that all ships must have secondaries in a TvT mission. I would like this requirement to be eliminated, as I feel it reduces the flexibility of the game. The requirement does not exist in singleplayer either, as I was able to play a mission just fine with a TIE fighter. So I can only guess it should have been changed already, and has just not been noticed yet in multiplayer, since that code hasn't had as much work, from what I've heard.
Additional InformationAdditionally, the TF and TI both show a secondary box in the ship loadout screen, even though there should not be one. I will be trying to allow them to carry some secondaries in the ships.tbl, without editing their POF, and seeing if I can equip them or not. If so, it will be interesting to see what happens in game if it lets me load. I can't test this at the moment because I'm away from my computer. I'll update this later with any new results. For now, the only temporary fix I could do is add a secondary firepoint to the fighters that dont' have one, and only allow them the use of some sort of dummy missile. This is a bit sloppy though, and I would love for it to not be necessary.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007635

chief1983 (administrator)

Just tested something new. I allowed the TIEs to carry a certain secondary weapon available to the team in the TvT mission, and even though there's no secondary slots in the POF file, the game still let me equip them. As soon as the mission tried to launch, the game froze and then crashed to desktop. The host was fine, so I think the crash would only happen to a player trying to do this to his own ship, if done to an AI, I think it would play, but I'm not sure of the result it would have.

~0007762

chief1983 (administrator)

*bump* anyone going to take a stab at this one?

~0007786

karajorma (administrator)

This one concerns me. I might want to make missions for BtRL with no missiles in them on day.

I'll take a look soon after the demo is out.

~0008362

chief1983 (administrator)

I'm gonna try to take a look at this bug myself, now that I've got this thing compiling on my own box (finally). Any idea where to look for this requirement being forced? Hopefully it's just a check I can disable.

~0008523

karajorma (administrator)

Any luck with it yet?

~0008538

chief1983 (administrator)

Nope, I haven't had any luck figuring out where this is in the code. I was hoping someone else would take care of it. It has farther reaching effects than I first thought though. In Debug modes, FRED and FSO will complain if there are no secondaries defined for a ship during table parsing.

~0010229

phreak (developer)

Fixed in the next build. The popup is now a 2-way choice, which will confirm the warning if you select "OK" and go back to the loadout screen if you select "Cancel". There is also a new error that will display if any ship has neither primary or secondary weapons. You will need to go back to the loadout screen if this new case occurs.

~0010246

FUBAR-BDHR (developer)

What happens if there are no primary or secondary weapons to put on a ship? Not something that should happen during normal play but just had something close happen with a bad .fc2 file. Ships were supposed to have secondaries but didn't due to them not being allowed in the fc2 file. Is there any way to abort and go back to the mission select screen? Currently you have to esc out and dump everyone back to the lobby.

~0010252

phreak (developer)

There is no way to go back to mission select from the briefing stage. Is this fine otherwise?

~0010317

chief1983 (administrator)

I'd like it to work a bit differently to be honest. I still haven't tested to see whether this actually fixes the problem though, or if it's deeper than just it bitching at you for not having them.

~0010318

chief1983 (administrator)

As far as I can tell, getting past that window seemed to be smooth sailing, but I haven't actually done a multiplayer test to verify that, I just created a coop mission and played it solo.

~0010319

chief1983 (administrator)

Last edited: 2008-12-02 14:05

I found my patch. I think it would be better off as an AI profile flag, something like this:

http://swc.fs2downloads.com/files/r4953_rewrite_2.diff

Sound good?

~0010337

chief1983 (administrator)

Fix needs to be tested by myself, just a reminder that it's already been addressed.

~0010341

phreak (developer)

It probably would be better with a mission flag, since it really isn't an AI thing

~0010342

chief1983 (administrator)

Half of the stuff in ai_profiles aren't ai. But it's something that's more going to be tied to a mod's setup than to a specific mission. Either fighters will have secondary hardpoints or they won't, same for primaries. So let a flag be set once in a mod so they're never checked.

~0010343

FUBAR-BDHR (developer)

You are forgetting about a mission with no secondaries available for ships that need secondaries. A good example wold be Primary Mayhem TvT. It was supposed to be primaries only but Tempests had to be available in the loadout. Several other missions in the PXO days included Tempests only for that reason.

~0010345

chief1983 (administrator)

Who is forgetting it? This does not break any existing material, it's a new flag that's never been used. Are you saying there should be a fix for this bug as it's been seen in existing material? I was only aware this bug affected Fate of the Galaxy so far.

~0010346

FUBAR-BDHR (developer)

No this affected even retail FS2. You can't do a team loadout and have no secondaries available. Doesn't matter if the ship can carry them or not. Affected TBP as well but a nothing weapon was created to get around it.

~0010347

chief1983 (administrator)

Right, I knew TCs might need it, now they just need to add the flag to their ai_profile. But as for specific missions, I didn't know anyone ever cared whether regular FS could do it or not. Now you could create a separate ai_profile modular table to be used with these options in it though, since you can select a profile on a per mission basis. So, since these missions would have to be modified to have the tempests removed no matter what fix happens, they could use this fix right?

~0010348

FUBAR-BDHR (developer)

Wouldn't being required to have a .tbm break multiplayer validation?

~0010349

chief1983 (administrator)

Not if that were added to the allowed tables. But I see your point. It may be doable as a mission flag as well, but that's beyond me at this point. It would need to be added to the FRED dialog somewhere.

~0010523

chief1983 (administrator)

This fix seems to work as intended, as an ai_profiles flag. Ship cannot have any secondary slots defined, as there is another place in the code that complains when slots defined does not equal the slots on the model. But the block for a matching ship being allowed in multiplayer can now be bypassed.
+Notes

-Issue History
Date Modified Username Field Change
2007-02-13 02:17 chief1983 New Issue
2007-02-13 03:30 chief1983 Note Added: 0007635
2007-02-28 05:14 chief1983 Note Added: 0007762
2007-03-03 19:19 karajorma Note Added: 0007786
2007-03-03 19:19 karajorma Status new => assigned
2007-03-03 19:19 karajorma Assigned To => karajorma
2007-08-09 19:52 chief1983 Note Added: 0008362
2007-09-10 19:35 karajorma Note Added: 0008523
2007-09-21 03:48 chief1983 Note Added: 0008538
2008-11-19 10:21 phreak Assigned To karajorma => phreak
2008-11-19 10:29 phreak Note Added: 0010229
2008-11-20 19:30 FUBAR-BDHR Note Added: 0010246
2008-11-22 10:50 phreak Note Added: 0010252
2008-12-02 11:42 chief1983 Note Added: 0010317
2008-12-02 11:51 chief1983 Note Added: 0010318
2008-12-02 13:53 chief1983 Note Added: 0010319
2008-12-02 14:03 chief1983 Note Edited: 0010319
2008-12-02 14:05 chief1983 Note Edited: 0010319
2008-12-04 13:50 chief1983 Note Added: 0010337
2008-12-04 13:50 chief1983 Status assigned => feedback
2008-12-04 15:06 phreak Note Added: 0010341
2008-12-04 15:18 chief1983 Note Added: 0010342
2008-12-04 17:38 FUBAR-BDHR Note Added: 0010343
2008-12-04 18:24 chief1983 Note Added: 0010345
2008-12-04 18:36 FUBAR-BDHR Note Added: 0010346
2008-12-04 20:54 chief1983 Note Added: 0010347
2008-12-04 21:03 FUBAR-BDHR Note Added: 0010348
2008-12-05 03:39 chief1983 Note Added: 0010349
2009-01-12 03:14 chief1983 Note Added: 0010523
2009-01-12 03:14 chief1983 Status feedback => resolved
2009-01-12 03:14 chief1983 Resolution open => fixed
+Issue History